Package org.kapott.hbci.security

## Class Sig

- java.lang.Object
- - org.kapott.hbci.security.Sig

    public final class Sig
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `HASHALG_RIPEMD160`
`static java.lang.String` `HASHALG_SHA1`
`static java.lang.String` `HASHALG_SHA256`
`static java.lang.String` `HASHALG_SHA256_SHA256`
`static java.lang.String` `HASHALG_SHA384`
`static java.lang.String` `HASHALG_SHA512`
`static java.lang.String` `SECFUNC_FINTS_SIG_DIG`
`static java.lang.String` `SECFUNC_FINTS_SIG_SIG`
`static java.lang.String` `SECFUNC_HBCI_SIG_DDV`
`static java.lang.String` `SECFUNC_HBCI_SIG_RDH`
`static java.lang.String` `SECFUNC_SIG_PT_2STEP_MAX`
`static java.lang.String` `SECFUNC_SIG_PT_2STEP_MIN`
`static java.lang.String` `SIGALG_DES`
`static java.lang.String` `SIGALG_RSA`
`static java.lang.String` `SIGMODE_ISO9796_1`
`static java.lang.String` `SIGMODE_ISO9796_2`
`static java.lang.String` `SIGMODE_PKCS1`
`static java.lang.String` `SIGMODE_PSS`
`static java.lang.String` `SIGMODE_RETAIL_MAC`

### Constructor Summary

Constructors
`Sig​(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `init​(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`
`void` `setParam​(java.lang.String key, java.lang.String value)`
`boolean` `signIt()`
`boolean` `verify()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SECFUNC_HBCI_SIG_RDH

    public static final java.lang.String SECFUNC_HBCI_SIG_RDH

See Also:
  Constant Field Values

#### SECFUNC_HBCI_SIG_DDV

    public static final java.lang.String SECFUNC_HBCI_SIG_DDV

See Also:
  Constant Field Values

#### SECFUNC_FINTS_SIG_DIG

    public static final java.lang.String SECFUNC_FINTS_SIG_DIG

See Also:
  Constant Field Values

#### SECFUNC_FINTS_SIG_SIG

    public static final java.lang.String SECFUNC_FINTS_SIG_SIG

See Also:
  Constant Field Values

#### SECFUNC_SIG_PT_2STEP_MIN

    public static final java.lang.String SECFUNC_SIG_PT_2STEP_MIN

See Also:
  Constant Field Values

#### SECFUNC_SIG_PT_2STEP_MAX

    public static final java.lang.String SECFUNC_SIG_PT_2STEP_MAX

See Also:
  Constant Field Values

#### HASHALG_SHA1

    public static final java.lang.String HASHALG_SHA1

See Also:
  Constant Field Values

#### HASHALG_SHA256

    public static final java.lang.String HASHALG_SHA256

See Also:
  Constant Field Values

#### HASHALG_SHA384

    public static final java.lang.String HASHALG_SHA384

See Also:
  Constant Field Values

#### HASHALG_SHA512

    public static final java.lang.String HASHALG_SHA512

See Also:
  Constant Field Values

#### HASHALG_SHA256_SHA256

    public static final java.lang.String HASHALG_SHA256_SHA256

See Also:
  Constant Field Values

#### HASHALG_RIPEMD160

    public static final java.lang.String HASHALG_RIPEMD160

See Also:
  Constant Field Values

#### SIGALG_DES

    public static final java.lang.String SIGALG_DES

See Also:
  Constant Field Values

#### SIGALG_RSA

    public static final java.lang.String SIGALG_RSA

See Also:
  Constant Field Values

#### SIGMODE_ISO9796_1

    public static final java.lang.String SIGMODE_ISO9796_1

See Also:
  Constant Field Values

#### SIGMODE_ISO9796_2

    public static final java.lang.String SIGMODE_ISO9796_2

See Also:
  Constant Field Values

#### SIGMODE_PKCS1

    public static final java.lang.String SIGMODE_PKCS1

See Also:
  Constant Field Values

#### SIGMODE_PSS

    public static final java.lang.String SIGMODE_PSS

See Also:
  Constant Field Values

#### SIGMODE_RETAIL_MAC

    public static final java.lang.String SIGMODE_RETAIL_MAC

See Also:
  Constant Field Values

### Constructor Detail

#### Sig

    public Sig​(IHandlerData handlerdata,
               MSG msg,
               HBCIPassportList passports)

### Method Detail

#### init

    public void init​(IHandlerData handlerdata,
                     MSG msg,
                     HBCIPassportList passports)

#### signIt

    public boolean signIt()

#### verify

    public boolean verify()

#### setParam

    public void setParam​(java.lang.String key,
                         java.lang.String value)

#### destroy

    public void destroy()